package SHARK2.keymon.com.mx;

import anywheresoftware.b4a.BA;
import anywheresoftware.b4a.pc.*;

public class mapa_cliente_subs_0 {


public static RemoteObject  _activity_create(RemoteObject _firsttime) throws Exception{
try {
		Debug.PushSubsStack("Activity_Create (mapa_cliente) ","mapa_cliente",25,mapa_cliente.mostCurrent.activityBA,mapa_cliente.mostCurrent,34);
if (RapidSub.canDelegate("activity_create")) { return SHARK2.keymon.com.mx.mapa_cliente.remoteMe.runUserSub(false, "mapa_cliente","activity_create", _firsttime);}
Debug.locals.put("FirstTime", _firsttime);
 BA.debugLineNum = 34;BA.debugLine="Sub Activity_Create(FirstTime As Boolean)";
Debug.ShouldStop(2);
 BA.debugLineNum = 35;BA.debugLine="Activity.LoadLayout(\"mapa_cliente\")";
Debug.ShouldStop(4);
mapa_cliente.mostCurrent._activity.runMethodAndSync(false,"LoadLayout",(Object)(RemoteObject.createImmutable("mapa_cliente")),mapa_cliente.mostCurrent.activityBA);
 BA.debugLineNum = 36;BA.debugLine="If MapFragment1.IsGooglePlayServicesAvailable = F";
Debug.ShouldStop(8);
if (RemoteObject.solveBoolean("=",mapa_cliente.mostCurrent._mapfragment1.runMethod(true,"IsGooglePlayServicesAvailable",mapa_cliente.mostCurrent.activityBA),mapa_cliente.mostCurrent.__c.getField(true,"False"))) { 
 BA.debugLineNum = 37;BA.debugLine="ToastMessageShow(\"Please install Google Play Ser";
Debug.ShouldStop(16);
mapa_cliente.mostCurrent.__c.runVoidMethod ("ToastMessageShow",(Object)(BA.ObjectToCharSequence("Please install Google Play Services.")),(Object)(mapa_cliente.mostCurrent.__c.getField(true,"True")));
 };
 BA.debugLineNum = 39;BA.debugLine="End Sub";
Debug.ShouldStop(64);
return RemoteObject.createImmutable("");
}
catch (Exception e) {
			throw Debug.ErrorCaught(e);
		} 
finally {
			Debug.PopSubsStack();
		}}
public static RemoteObject  _activity_pause(RemoteObject _userclosed) throws Exception{
try {
		Debug.PushSubsStack("Activity_Pause (mapa_cliente) ","mapa_cliente",25,mapa_cliente.mostCurrent.activityBA,mapa_cliente.mostCurrent,111);
if (RapidSub.canDelegate("activity_pause")) { return SHARK2.keymon.com.mx.mapa_cliente.remoteMe.runUserSub(false, "mapa_cliente","activity_pause", _userclosed);}
Debug.locals.put("UserClosed", _userclosed);
 BA.debugLineNum = 111;BA.debugLine="Sub Activity_Pause (UserClosed As Boolean)";
Debug.ShouldStop(16384);
 BA.debugLineNum = 112;BA.debugLine="GPS.Stop";
Debug.ShouldStop(32768);
mapa_cliente._gps.runVoidMethod ("Stop");
 BA.debugLineNum = 113;BA.debugLine="End Sub";
Debug.ShouldStop(65536);
return RemoteObject.createImmutable("");
}
catch (Exception e) {
			throw Debug.ErrorCaught(e);
		} 
finally {
			Debug.PopSubsStack();
		}}
public static RemoteObject  _activity_resume() throws Exception{
try {
		Debug.PushSubsStack("Activity_Resume (mapa_cliente) ","mapa_cliente",25,mapa_cliente.mostCurrent.activityBA,mapa_cliente.mostCurrent,90);
if (RapidSub.canDelegate("activity_resume")) { return SHARK2.keymon.com.mx.mapa_cliente.remoteMe.runUserSub(false, "mapa_cliente","activity_resume");}
 BA.debugLineNum = 90;BA.debugLine="Sub Activity_Resume";
Debug.ShouldStop(33554432);
 BA.debugLineNum = 91;BA.debugLine="Subs.centraBoton(b_regresar, Activity.Width)";
Debug.ShouldStop(67108864);
mapa_cliente.mostCurrent._subs.runVoidMethod ("_centraboton" /*RemoteObject*/ ,mapa_cliente.mostCurrent.activityBA,(Object)(mapa_cliente.mostCurrent._b_regresar),(Object)(mapa_cliente.mostCurrent._activity.runMethod(true,"getWidth")));
 BA.debugLineNum = 92;BA.debugLine="GPS.Initialize(\"GPS\")";
Debug.ShouldStop(134217728);
mapa_cliente._gps.runVoidMethod ("Initialize",(Object)(RemoteObject.createImmutable("GPS")));
 BA.debugLineNum = 93;BA.debugLine="If GPS.GPSEnabled = False Then";
Debug.ShouldStop(268435456);
if (RemoteObject.solveBoolean("=",mapa_cliente._gps.runMethod(true,"getGPSEnabled"),mapa_cliente.mostCurrent.__c.getField(true,"False"))) { 
 BA.debugLineNum = 94;BA.debugLine="ToastMessageShow(\"Debe Activar el GPS del Equipo";
Debug.ShouldStop(536870912);
mapa_cliente.mostCurrent.__c.runVoidMethod ("ToastMessageShow",(Object)(BA.ObjectToCharSequence("Debe Activar el GPS del Equipo.")),(Object)(mapa_cliente.mostCurrent.__c.getField(true,"True")));
 BA.debugLineNum = 95;BA.debugLine="StartActivity(GPS.LocationSettingsIntent)";
Debug.ShouldStop(1073741824);
mapa_cliente.mostCurrent.__c.runVoidMethod ("StartActivity",mapa_cliente.processBA,(Object)((mapa_cliente._gps.runMethod(false,"getLocationSettingsIntent"))));
 }else {
 BA.debugLineNum = 97;BA.debugLine="GPS.Start(0, 0)";
Debug.ShouldStop(1);
mapa_cliente._gps.runVoidMethodAndSync ("Start",mapa_cliente.processBA,(Object)(BA.numberCast(long.class, 0)),(Object)(BA.numberCast(float.class, 0)));
 };
 BA.debugLineNum = 99;BA.debugLine="c = Starter.skmt.ExecQuery(\"SELECT CAT_CL_LAT, CA";
Debug.ShouldStop(4);
mapa_cliente.mostCurrent._c = RemoteObject.declareNull("anywheresoftware.b4a.AbsObjectWrapper").runMethod(false, "ConvertToWrapper", RemoteObject.createNew("anywheresoftware.b4a.sql.SQL.CursorWrapper"), mapa_cliente.mostCurrent._starter._skmt /*RemoteObject*/ .runMethod(false,"ExecQuery",(Object)(RemoteObject.createImmutable("SELECT CAT_CL_LAT, CAT_CL_LONG, CAT_CL_NOMBRE FROM kmt_info WHERE CAT_CL_CODIGO IN (SELECT CUENTA FROM CUENTAA) UNION ALL SELECT CAT_CL_LAT, CAT_CL_LONG, CAT_CL_NOMBRE FROM kmt_info2 WHERE CAT_CL_CODIGO IN (SELECT CUENTA FROM CUENTAA)"))));
 BA.debugLineNum = 101;BA.debugLine="If c.RowCount > 0 Then";
Debug.ShouldStop(16);
if (RemoteObject.solveBoolean(">",mapa_cliente.mostCurrent._c.runMethod(true,"getRowCount"),BA.numberCast(double.class, 0))) { 
 BA.debugLineNum = 102;BA.debugLine="c.Position = 0";
Debug.ShouldStop(32);
mapa_cliente.mostCurrent._c.runMethod(true,"setPosition",BA.numberCast(int.class, 0));
 BA.debugLineNum = 103;BA.debugLine="Subs.centraPanel(p_principal, Activity.Width)";
Debug.ShouldStop(64);
mapa_cliente.mostCurrent._subs.runVoidMethod ("_centrapanel" /*RemoteObject*/ ,mapa_cliente.mostCurrent.activityBA,(Object)(mapa_cliente.mostCurrent._p_principal),(Object)(mapa_cliente.mostCurrent._activity.runMethod(true,"getWidth")));
 BA.debugLineNum = 104;BA.debugLine="p_principal.Height = Activity.Height	* 0.95";
Debug.ShouldStop(128);
mapa_cliente.mostCurrent._p_principal.runMethod(true,"setHeight",BA.numberCast(int.class, RemoteObject.solve(new RemoteObject[] {mapa_cliente.mostCurrent._activity.runMethod(true,"getHeight"),RemoteObject.createImmutable(0.95)}, "*",0, 0)));
 BA.debugLineNum = 105;BA.debugLine="latmarker = c.GetString(\"CAT_CL_LAT\")";
Debug.ShouldStop(256);
mapa_cliente.mostCurrent._latmarker = mapa_cliente.mostCurrent._c.runMethod(true,"GetString",(Object)(RemoteObject.createImmutable("CAT_CL_LAT")));
 BA.debugLineNum = 106;BA.debugLine="longmarker =  c.GetString(\"CAT_CL_LONG\")";
Debug.ShouldStop(512);
mapa_cliente.mostCurrent._longmarker = mapa_cliente.mostCurrent._c.runMethod(true,"GetString",(Object)(RemoteObject.createImmutable("CAT_CL_LONG")));
 BA.debugLineNum = 107;BA.debugLine="NOMBRE_TIENDA = c.GetString(\"CAT_CL_NOMBRE\")";
Debug.ShouldStop(1024);
mapa_cliente.mostCurrent._nombre_tienda = mapa_cliente.mostCurrent._c.runMethod(true,"GetString",(Object)(RemoteObject.createImmutable("CAT_CL_NOMBRE")));
 };
 BA.debugLineNum = 109;BA.debugLine="End Sub";
Debug.ShouldStop(4096);
return RemoteObject.createImmutable("");
}
catch (Exception e) {
			throw Debug.ErrorCaught(e);
		} 
finally {
			Debug.PopSubsStack();
		}}
public static RemoteObject  _b_regresar_click() throws Exception{
try {
		Debug.PushSubsStack("b_regresar_Click (mapa_cliente) ","mapa_cliente",25,mapa_cliente.mostCurrent.activityBA,mapa_cliente.mostCurrent,120);
if (RapidSub.canDelegate("b_regresar_click")) { return SHARK2.keymon.com.mx.mapa_cliente.remoteMe.runUserSub(false, "mapa_cliente","b_regresar_click");}
 BA.debugLineNum = 120;BA.debugLine="Private Sub b_regresar_Click";
Debug.ShouldStop(8388608);
 BA.debugLineNum = 121;BA.debugLine="Log(\"Pressed\")";
Debug.ShouldStop(16777216);
mapa_cliente.mostCurrent.__c.runVoidMethod ("LogImpl","533619969",RemoteObject.createImmutable("Pressed"),0);
 BA.debugLineNum = 122;BA.debugLine="Activity.Finish";
Debug.ShouldStop(33554432);
mapa_cliente.mostCurrent._activity.runVoidMethod ("Finish");
 BA.debugLineNum = 123;BA.debugLine="B4XPages.ShowPage(\"Cliente\")";
Debug.ShouldStop(67108864);
mapa_cliente.mostCurrent._b4xpages.runVoidMethod ("_showpage" /*RemoteObject*/ ,mapa_cliente.mostCurrent.activityBA,(Object)(RemoteObject.createImmutable("Cliente")));
 BA.debugLineNum = 124;BA.debugLine="End Sub";
Debug.ShouldStop(134217728);
return RemoteObject.createImmutable("");
}
catch (Exception e) {
			throw Debug.ErrorCaught(e);
		} 
finally {
			Debug.PopSubsStack();
		}}
public static RemoteObject  _globals() throws Exception{
 //BA.debugLineNum = 14;BA.debugLine="Sub Globals";
 //BA.debugLineNum = 15;BA.debugLine="Private gmap As GoogleMap";
mapa_cliente.mostCurrent._gmap = RemoteObject.createNew ("anywheresoftware.b4a.objects.MapFragmentWrapper.GoogleMapWrapper");
 //BA.debugLineNum = 16;BA.debugLine="Private MapFragment1 As MapFragment";
mapa_cliente.mostCurrent._mapfragment1 = RemoteObject.createNew ("anywheresoftware.b4a.objects.MapFragmentWrapper");
 //BA.debugLineNum = 17;BA.debugLine="Dim Latitud As Double = 0";
mapa_cliente._latitud = BA.numberCast(double.class, 0);
 //BA.debugLineNum = 18;BA.debugLine="Dim Longitud As Double = 0";
mapa_cliente._longitud = BA.numberCast(double.class, 0);
 //BA.debugLineNum = 19;BA.debugLine="Dim Lat2 As Double = 0";
mapa_cliente._lat2 = BA.numberCast(double.class, 0);
 //BA.debugLineNum = 20;BA.debugLine="Dim Lon2 As Double = 0";
mapa_cliente._lon2 = BA.numberCast(double.class, 0);
 //BA.debugLineNum = 21;BA.debugLine="Dim p1, p2 As Location";
mapa_cliente.mostCurrent._p1 = RemoteObject.createNew ("anywheresoftware.b4a.gps.LocationWrapper");
mapa_cliente.mostCurrent._p2 = RemoteObject.createNew ("anywheresoftware.b4a.gps.LocationWrapper");
 //BA.debugLineNum = 22;BA.debugLine="Dim Distance As Float";
mapa_cliente._distance = RemoteObject.createImmutable(0f);
 //BA.debugLineNum = 23;BA.debugLine="Dim boton1 As Button";
mapa_cliente.mostCurrent._boton1 = RemoteObject.createNew ("anywheresoftware.b4a.objects.ButtonWrapper");
 //BA.debugLineNum = 24;BA.debugLine="Dim c As Cursor";
mapa_cliente.mostCurrent._c = RemoteObject.createNew ("anywheresoftware.b4a.sql.SQL.CursorWrapper");
 //BA.debugLineNum = 25;BA.debugLine="Dim latmarker As String";
mapa_cliente.mostCurrent._latmarker = RemoteObject.createImmutable("");
 //BA.debugLineNum = 26;BA.debugLine="Dim longmarker As String";
mapa_cliente.mostCurrent._longmarker = RemoteObject.createImmutable("");
 //BA.debugLineNum = 27;BA.debugLine="Private l_long As Label";
mapa_cliente.mostCurrent._l_long = RemoteObject.createNew ("anywheresoftware.b4a.objects.LabelWrapper");
 //BA.debugLineNum = 28;BA.debugLine="Private l_lat As Label";
mapa_cliente.mostCurrent._l_lat = RemoteObject.createNew ("anywheresoftware.b4a.objects.LabelWrapper");
 //BA.debugLineNum = 29;BA.debugLine="Private NOMBRE_TIENDA As String";
mapa_cliente.mostCurrent._nombre_tienda = RemoteObject.createImmutable("");
 //BA.debugLineNum = 30;BA.debugLine="Private p_principal As Panel";
mapa_cliente.mostCurrent._p_principal = RemoteObject.createNew ("anywheresoftware.b4a.objects.PanelWrapper");
 //BA.debugLineNum = 31;BA.debugLine="Private b_regresar As Button";
mapa_cliente.mostCurrent._b_regresar = RemoteObject.createNew ("anywheresoftware.b4a.objects.ButtonWrapper");
 //BA.debugLineNum = 32;BA.debugLine="End Sub";
return RemoteObject.createImmutable("");
}
public static RemoteObject  _gps_locationchanged(RemoteObject _parametro) throws Exception{
try {
		Debug.PushSubsStack("GPS_LocationChanged (mapa_cliente) ","mapa_cliente",25,mapa_cliente.mostCurrent.activityBA,mapa_cliente.mostCurrent,69);
if (RapidSub.canDelegate("gps_locationchanged")) { return SHARK2.keymon.com.mx.mapa_cliente.remoteMe.runUserSub(false, "mapa_cliente","gps_locationchanged", _parametro);}
Debug.locals.put("Parametro", _parametro);
 BA.debugLineNum = 69;BA.debugLine="Sub GPS_LocationChanged (Parametro As Location)";
Debug.ShouldStop(16);
 BA.debugLineNum = 88;BA.debugLine="End Sub";
Debug.ShouldStop(8388608);
return RemoteObject.createImmutable("");
}
catch (Exception e) {
			throw Debug.ErrorCaught(e);
		} 
finally {
			Debug.PopSubsStack();
		}}
public static void  _mapfragment1_ready() throws Exception{
try {
		Debug.PushSubsStack("MapFragment1_Ready (mapa_cliente) ","mapa_cliente",25,mapa_cliente.mostCurrent.activityBA,mapa_cliente.mostCurrent,41);
if (RapidSub.canDelegate("mapfragment1_ready")) { SHARK2.keymon.com.mx.mapa_cliente.remoteMe.runUserSub(false, "mapa_cliente","mapfragment1_ready"); return;}
ResumableSub_MapFragment1_Ready rsub = new ResumableSub_MapFragment1_Ready(null);
rsub.resume(null, null);
}
catch (Exception e) {
			throw Debug.ErrorCaught(e);
		} 
finally {
			Debug.PopSubsStack();
		}}
public static class ResumableSub_MapFragment1_Ready extends BA.ResumableSub {
public ResumableSub_MapFragment1_Ready(SHARK2.keymon.com.mx.mapa_cliente parent) {
this.parent = parent;
}
java.util.LinkedHashMap<String, Object> rsLocals = new java.util.LinkedHashMap<String, Object>();
SHARK2.keymon.com.mx.mapa_cliente parent;
RemoteObject _permission = RemoteObject.createImmutable("");
RemoteObject _result = RemoteObject.createImmutable(false);
RemoteObject _javamapsobject = RemoteObject.declareNull("anywheresoftware.b4j.object.JavaObject");
RemoteObject _marcador1 = RemoteObject.declareNull("anywheresoftware.b4a.objects.MapFragmentWrapper.MarkerWrapper");
RemoteObject _aa = RemoteObject.declareNull("anywheresoftware.b4a.objects.MapFragmentWrapper.CameraPositionWrapper");

@Override
public void resume(BA ba, RemoteObject result) throws Exception{
try {
		Debug.PushSubsStack("MapFragment1_Ready (mapa_cliente) ","mapa_cliente",25,mapa_cliente.mostCurrent.activityBA,mapa_cliente.mostCurrent,41);
Debug.locals = rsLocals;Debug.currentSubFrame.locals = rsLocals;

    while (true) {
        switch (state) {
            case -1:
return;

case 0:
//C
this.state = 1;
 BA.debugLineNum = 42;BA.debugLine="gmap = MapFragment1.GetMap";
Debug.ShouldStop(512);
parent.mostCurrent._gmap = parent.mostCurrent._mapfragment1.runMethod(false,"GetMap");
 BA.debugLineNum = 44;BA.debugLine="rp.CheckAndRequest(rp.PERMISSION_ACCESS_FINE_LOCA";
Debug.ShouldStop(2048);
parent._rp.runVoidMethod ("CheckAndRequest",mapa_cliente.processBA,(Object)(parent._rp.getField(true,"PERMISSION_ACCESS_FINE_LOCATION")));
 BA.debugLineNum = 45;BA.debugLine="Wait For Activity_PermissionResult (Permission As";
Debug.ShouldStop(4096);
parent.mostCurrent.__c.runVoidMethod ("WaitFor","activity_permissionresult", mapa_cliente.processBA, anywheresoftware.b4a.pc.PCResumableSub.createDebugResumeSub(this, "mapa_cliente", "mapfragment1_ready"), null);
this.state = 5;
return;
case 5:
//C
this.state = 1;
_permission = (RemoteObject) result.getArrayElement(true,RemoteObject.createImmutable(0));Debug.locals.put("Permission", _permission);
_result = (RemoteObject) result.getArrayElement(true,RemoteObject.createImmutable(1));Debug.locals.put("Result", _result);
;
 BA.debugLineNum = 46;BA.debugLine="gmap.MyLocationEnabled = Result";
Debug.ShouldStop(8192);
parent.mostCurrent._gmap.runMethod(true,"setMyLocationEnabled",_result);
 BA.debugLineNum = 48;BA.debugLine="Dim JavaMapsObject As JavaObject";
Debug.ShouldStop(32768);
_javamapsobject = RemoteObject.createNew ("anywheresoftware.b4j.object.JavaObject");Debug.locals.put("JavaMapsObject", _javamapsobject);
 BA.debugLineNum = 49;BA.debugLine="JavaMapsObject = gmap.GetUiSettings";
Debug.ShouldStop(65536);
_javamapsobject = RemoteObject.declareNull("anywheresoftware.b4a.AbsObjectWrapper").runMethod(false, "ConvertToWrapper", RemoteObject.createNew("anywheresoftware.b4j.object.JavaObject"), parent.mostCurrent._gmap.runMethod(false,"GetUiSettings").getObject());Debug.locals.put("JavaMapsObject", _javamapsobject);
 BA.debugLineNum = 50;BA.debugLine="JavaMapsObject.RunMethod(\"setMapToolbarEnabled\",";
Debug.ShouldStop(131072);
_javamapsobject.runVoidMethod ("RunMethod",(Object)(BA.ObjectToString("setMapToolbarEnabled")),(Object)(RemoteObject.createNewArray("Object",new int[] {1},new Object[] {(parent.mostCurrent.__c.getField(true,"True"))})));
 BA.debugLineNum = 51;BA.debugLine="Dim marcador1 As Marker = gmap.AddMarker (latmark";
Debug.ShouldStop(262144);
_marcador1 = RemoteObject.createNew ("anywheresoftware.b4a.objects.MapFragmentWrapper.MarkerWrapper");
_marcador1 = parent.mostCurrent._gmap.runMethod(false,"AddMarker",(Object)(BA.numberCast(double.class, parent.mostCurrent._latmarker)),(Object)(BA.numberCast(double.class, parent.mostCurrent._longmarker)),(Object)(RemoteObject.createImmutable("TIENDA")));Debug.locals.put("marcador1", _marcador1);Debug.locals.put("marcador1", _marcador1);
 BA.debugLineNum = 52;BA.debugLine="c = Starter.skmt.ExecQuery(\"SELECT CAT_CL_LAT, CA";
Debug.ShouldStop(524288);
parent.mostCurrent._c = RemoteObject.declareNull("anywheresoftware.b4a.AbsObjectWrapper").runMethod(false, "ConvertToWrapper", RemoteObject.createNew("anywheresoftware.b4a.sql.SQL.CursorWrapper"), parent.mostCurrent._starter._skmt /*RemoteObject*/ .runMethod(false,"ExecQuery",(Object)(RemoteObject.createImmutable("SELECT CAT_CL_LAT, CAT_CL_LONG, CAT_CL_NOMBRE FROM kmt_info WHERE CAT_CL_CODIGO IN (SELECT CUENTA FROM CUENTAA) UNION ALL SELECT CAT_CL_LAT, CAT_CL_LONG, CAT_CL_NOMBRE FROM kmt_info2 WHERE CAT_CL_CODIGO IN (SELECT CUENTA FROM CUENTAA)"))));
 BA.debugLineNum = 54;BA.debugLine="If c.RowCount > 0 Then";
Debug.ShouldStop(2097152);
if (true) break;

case 1:
//if
this.state = 4;
if (RemoteObject.solveBoolean(">",parent.mostCurrent._c.runMethod(true,"getRowCount"),BA.numberCast(double.class, 0))) { 
this.state = 3;
}if (true) break;

case 3:
//C
this.state = 4;
 BA.debugLineNum = 55;BA.debugLine="c.Position = 0";
Debug.ShouldStop(4194304);
parent.mostCurrent._c.runMethod(true,"setPosition",BA.numberCast(int.class, 0));
 BA.debugLineNum = 61;BA.debugLine="marcador1.Snippet = c.GetString(\"CAT_CL_NOMBRE\")";
Debug.ShouldStop(268435456);
_marcador1.runMethod(true,"setSnippet",parent.mostCurrent._c.runMethod(true,"GetString",(Object)(RemoteObject.createImmutable("CAT_CL_NOMBRE"))));
 if (true) break;

case 4:
//C
this.state = -1;
;
 BA.debugLineNum = 64;BA.debugLine="Dim aa As CameraPosition";
Debug.ShouldStop(-2147483648);
_aa = RemoteObject.createNew ("anywheresoftware.b4a.objects.MapFragmentWrapper.CameraPositionWrapper");Debug.locals.put("aa", _aa);
 BA.debugLineNum = 65;BA.debugLine="aa.Initialize(latmarker,longmarker,15)''' RECOMEN";
Debug.ShouldStop(1);
_aa.runVoidMethod ("Initialize",(Object)(BA.numberCast(double.class, parent.mostCurrent._latmarker)),(Object)(BA.numberCast(double.class, parent.mostCurrent._longmarker)),(Object)(BA.numberCast(float.class, 15)));
 BA.debugLineNum = 66;BA.debugLine="gmap.AnimateCamera(aa)";
Debug.ShouldStop(2);
parent.mostCurrent._gmap.runVoidMethod ("AnimateCamera",(Object)((_aa.getObject())));
 BA.debugLineNum = 67;BA.debugLine="End Sub";
Debug.ShouldStop(4);
if (true) break;

            }
        }
    }
catch (Exception e) {
			throw Debug.ErrorCaught(e);
		} 
finally {
			Debug.PopSubsStack();
		}}
}
public static void  _activity_permissionresult(RemoteObject _permission,RemoteObject _result) throws Exception{
}
public static RemoteObject  _process_globals() throws Exception{
 //BA.debugLineNum = 7;BA.debugLine="Sub Process_Globals";
 //BA.debugLineNum = 8;BA.debugLine="Dim GPS As GPS";
mapa_cliente._gps = RemoteObject.createNew ("anywheresoftware.b4a.gps.GPS");
 //BA.debugLineNum = 9;BA.debugLine="Dim rp As RuntimePermissions";
mapa_cliente._rp = RemoteObject.createNew ("anywheresoftware.b4a.objects.RuntimePermissions");
 //BA.debugLineNum = 10;BA.debugLine="Dim ruta As String";
mapa_cliente._ruta = RemoteObject.createImmutable("");
 //BA.debugLineNum = 11;BA.debugLine="Dim skmt As SQL";
mapa_cliente._skmt = RemoteObject.createNew ("anywheresoftware.b4a.sql.SQL");
 //BA.debugLineNum = 12;BA.debugLine="End Sub";
return RemoteObject.createImmutable("");
}
public static RemoteObject  _reg_click() throws Exception{
try {
		Debug.PushSubsStack("reg_Click (mapa_cliente) ","mapa_cliente",25,mapa_cliente.mostCurrent.activityBA,mapa_cliente.mostCurrent,115);
if (RapidSub.canDelegate("reg_click")) { return SHARK2.keymon.com.mx.mapa_cliente.remoteMe.runUserSub(false, "mapa_cliente","reg_click");}
 BA.debugLineNum = 115;BA.debugLine="Sub reg_Click";
Debug.ShouldStop(262144);
 BA.debugLineNum = 117;BA.debugLine="B4XPages.ShowPage(\"Cliente\")";
Debug.ShouldStop(1048576);
mapa_cliente.mostCurrent._b4xpages.runVoidMethod ("_showpage" /*RemoteObject*/ ,mapa_cliente.mostCurrent.activityBA,(Object)(RemoteObject.createImmutable("Cliente")));
 BA.debugLineNum = 118;BA.debugLine="End Sub";
Debug.ShouldStop(2097152);
return RemoteObject.createImmutable("");
}
catch (Exception e) {
			throw Debug.ErrorCaught(e);
		} 
finally {
			Debug.PopSubsStack();
		}}
}